Subject: RE: [Enum] Last Call on Presence enumservice field

From: "Peterson, Jon" <[email-masked]>
Date: Mon, 15 Mar 2004 16:23:15 -0600

Thanks for these nits and other comments. At the conclusion of WGLC, I'll
issue a revision that incorporates the proposed changes below.

I think the only issue that requires substantial consideration below is the
question of what type of URI needs to appear in a resource record identified
by the "E2U+pres" service field. I agree that the current text here is weak.
What I had in mind was something like "SHOULD be pres URI, MAY be other URI
identifying a presence service, as appropriate, but understand that pres URI
is most compatible". Does that work for you?

Jon Peterson
NeuStar, Inc.

-----Original Message-----
From: Jonathan Rosenberg [mailto:[email-masked]]
Sent: Wednesday, March 10, 2004 10:21 PM
To: Richard Shockey
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [Enum] Last Call on Presence enumservice field

Some comments on the draft:

1. The abstract includes references to rfc2778 and rfc2916bis. I believe 
that you are not allowed to have references in an abstract, since the 
abstract frequently appears in isolation, without the rest of the 
document (see http://www.ietf.org/ID-nits.html).

> ENUM exists primarily to facilitate
>    the interconnection of systems that rely on telephone numbers with
>    those that use URIs to route transactions.

Nit: URIs don't do routing. They're names. Suggest: ".. that use URIs to 
identify resources."

> The IMPP WG of the IETF has a defined a generic URI used to identify
>    a presence service for a particular resource: the 'pres' URI scheme
>    (defined in CPP [4]).  This document describes an enumservice for
>    advertising presence information associated with an E.164 number.

Nit: I'm not a fan of naming working groups in standards document, since 
standards frequently persist beyond the group itself. I would suggest: 
"The Common Profile for Presence (CPP) [4] defines the 'pres' URI scheme 
for identifying a presence resource".

> The presence information that is shared varies by communications
>    service.  The IETF IMPP WG has defined a Presence Information Data
>    Format (or PIDF [6]) for describing the presence data associated with
>    a presentity. 

same comment as above.

> The scheme of the URI that will appear in the regexp field of a NAPTR
>    record using the 'E2U+pres' enumservice will be the 'pres' URI
>    scheme.  There are, however, other URI schemes that can be used to
>    identify presence services. 

Its unclear from this text whether the URI MUST be a pres URI, or just 
SHOULD be a pres URI, and therefore a SIP URI, for example, would be OK.

> However, revealing a pres URI in and of itself is unlikely to
>    introduce many privacy concerns (although depending on the structure
>    of the URI, it might reveal the full name or employer of the target).

I think its worth saying that, in cases where this bit is a security 
concern (revealing the full name or employer of the target), anonymized 
URIs can be used to avoid such disclosure.

> References

This section is not split into normative and informative. I'm assuming 
that this specification is targeted for PS and not informational, right?

Thanks,
Jonathan R.

Richard Shockey wrote:

> 
> It was the consensus of the WG in Seoul that we proceed to last call 
> with this document.
> 
> The intent of the last call is to solicit comments before submitting the 
> ID to the IESG as a Proposed Standard.
> 
> The purpose of a working group Last Call is in the style of "speak now or
> forever hold your peace" in case there are fundamental objections which 
> have
> not gotten previous or adequate discussion, or minor errors which need
> correction.
> 
> Work group last call will extend for 2 weeks from today March 8  to at 
> least March 22 though we can modify that if new issues come up.
> 
> Title                        : Enumservice Registration for Presence 
> Services
>         Author(s)       : J. Peterson
>         Filename        : draft-ietf-enum-pres-00.txt
>         Pages           : 8
>         Date            : 2003-12-18
> 
> This document registers an ENUM service for presence services (as
>    described in RFC2778 [2]) pursuant to the guidelines in RFC2916bis
>    [1].  Specifically, this document focuses on provisioning pres URIs
>    in ENUM.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-enum-pres-00.txt
> 
> 
> 
>  >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
> Richard Shockey, Senior Manager, Strategic Technology Initiatives
> NeuStar Inc.
> 46000 Center Oak Plaza  -   Sterling, VA  20166
> sip:rshockey(at)iptel.org   sip:[email-masked]
> ENUM +87810-13313-31331
> PSTN Office +1 571.434.5651 PSTN Mobile: +1 703.593.2683,  Fax: +1 
> 815.333.1237
> <mailto:richard(at)shockey.us> or <mailto:richard.shockey(at)neustar.biz>
> <http://www.neustar.biz> ; <http://www.enum.org>
> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
> 
> 
> _______________________________________________
> enum mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/enum
> 

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

---

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 16 Mar 2004 10:25:41 -0500

> issue a revision that incorporates the proposed changes below.

Thanks.

> is most compatible". Does that work for you?

Sounds fine.

-Jonathan R.